//window.onload = getMsg;
window.onresize = resizeDiv;
window.onerror = function () { }


var divTop, divLeft, divWidth, divHeight, docHeight, docWidth, objTimer, i = 0;


function getMsg() {
    try {
        if (ismsg) {
            divTop = parseInt(document.getElementById("eMeng").style.top)
            divLeft = parseInt(document.getElementById("eMeng").style.left)
            divHeight = parseInt(document.getElementById("eMeng").offsetHeight)
            divWidth = parseInt(document.getElementById("eMeng").offsetWidth);
            docWidth = document.body.clientWidth;
            docHeight = document.body.clientHeight;
            document.getElementById("eMeng").style.top = (parseInt(document.body.scrollTop) + docHeight) + "px";
            document.getElementById("eMeng").style.left = document.body.scrollWidth - divWidth -6 + "px"; //在IE8下很准确：document.body.scrollWidth - divWidth
            document.getElementById("eMeng").style.visibility = "visible";
            objTimer = window.setInterval("moveDiv()", 10);
        }
    }
    catch (e) { }
}

function resizeDiv() {
    i += 1;

    if (i > 6000) {
        closeDiv();
    }
    try {
        divHeight = parseInt(document.getElementById("eMeng").offsetHeight);
        divWidth = parseInt(document.getElementById("eMeng").offsetWidth);
        docWidth = document.body.clientWidth;
        docHeight = document.body.clientHeight;
        document.getElementById("eMeng").style.top = document.body.scrollHeight - divHeight + "px";
        document.getElementById("eMeng").style.left = document.body.scrollWidth - divWidth -6 + "px"; //在IE8下很准确：document.body.scrollWidth - divWidth
    }
    catch (e) { }
}

function moveDiv() {

    try {
        if (parseInt(document.getElementById("eMeng").style.top) <= (docHeight - divHeight + parseInt(document.body.scrollTop))) {
            window.clearInterval(objTimer);
            objTimer = window.setInterval("resizeDiv()", 1);
        }

        divTop = parseInt(document.getElementById("eMeng").style.top);
        document.getElementById("eMeng").style.top = (divTop - 2) + "px";
    }
    catch (e) { }
}


function closeDiv() {
    document.getElementById('eMeng').style.visibility = "hidden";
    if (objTimer) window.clearInterval(objTimer);
}
